# Uses of Enum Class
org.bukkit.material.types.MushroomBlockTexture

Packages that use MushroomBlockTexture
Package
Description
org.bukkit.material
Classes that represents various voxel types and states.
org.bukkit.material.types
Classes relevant to specific material types.

## Uses of MushroomBlockTexture in org.bukkit.material

Methods in org.bukkit.material that return MushroomBlockTexture
Modifier and Type
Method
Description
`MushroomBlockTexture`
Mushroom.`getBlockTexture()`
Deprecated.
Gets the mushroom texture of this block.
Methods in org.bukkit.material with parameters of type MushroomBlockTexture
Modifier and Type
Method
Description
`void`
Mushroom.`setBlockTexture(MushroomBlockTexture texture)`
Deprecated.
Sets the mushroom texture of this block.
Constructors in org.bukkit.material with parameters of type MushroomBlockTexture
Modifier
Constructor
Description
``
`Mushroom(Material shroom, MushroomBlockTexture texture)`
Deprecated.
Constructs a brown/red mushroom block with the specified textures.

## Uses of MushroomBlockTexture in org.bukkit.material.types

Methods in org.bukkit.material.types that return MushroomBlockTexture
Modifier and Type
Method
Description
`static @Nullable MushroomBlockTexture`
MushroomBlockTexture.`getByData(byte data)`
Deprecated.
Magic value
`static @Nullable MushroomBlockTexture`
MushroomBlockTexture.`getCapByFace(@Nullable BlockFace face)`
Deprecated.
Gets the MushroomBlockType with cap texture on the given block face.
`static MushroomBlockTexture`
MushroomBlockTexture.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static MushroomBlockTexture[]`
MushroomBlockTexture.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.